=== debian/changelog ===
astromenace (1.3.1+repack-3) unstable; urgency=low

  * Add temporary patch debian/patches/08_do_not_touch_home_dir.patch:
    Without this patch AstroMenace creates directory ~/.config/astromenace/
    during generation of gamedata.vfs file. When sudo is used for package
    installation, this created directory is owned by root, so game settings
    cannot be saved by user. (LP: #1181847)
  * Add xz-utils to astromenace dependencies. (Closes: #714609)
  * Fix lintian note desktop-entry-lacks-keywords-entry.

 -- Boris Pek <tehnick@debian.org>  Mon, 01 Jul 2013 22:02:35 +0300

astromenace (1.3.1+repack-2) unstable; urgency=low

  * Add temporary patches:
    - debian/patches/01_keyboard_control-fix.patch:
      fix minor bug with keyboard control over active menu elements during
      setup game control keys.
    - debian/patches/02_blinking_triangles.patch:
      fix bug that might corrupt overall game rendering (big blinking
      triangles over scene).
    - debian/patches/03_overflow_vfs.patch:
      fix overflow in VFS code. (Closes: #709279)
    - debian/patches/04_textures_quality.patch:
      fix Textures Quality option work during game data loading with new
      planetary and normal map textures.
    - debian/patches/05_blend_disable_fix.patch:
      fix minor bug in texture blend setup code (now will change OpenGL state
      proper during blend disabling).
    - debian/patches/06_compression_options_fix.patch:
      fix menu elements texture generation, will count on compression options
      now.
    - debian/patches/07_percent_sign_profile_input_fix.patch:
      fix text input code in Profile Menu for percent sign (%).
    All these patches are already applied in the upstream VCS and will come
    in the next stable release.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 22 May 2013 23:10:26 +0300

astromenace (1.3.1+repack-1) unstable; urgency=low

  * Initial release (Closes: #493350).

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 09 Apr 2013 02:04:25 +0300
