## astromenace 1.3.2%2Brepack

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Boris Pek <tehnick@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9)
               ,imagemagick
               ,cmake
@@ -16,6 +16,7 @@
               ,libsdl1.2-dev
               ,libvorbis-dev
               ,libxinerama-dev
+              ,libfontconfig1-dev
 Homepage: http://www.viewizard.com/astromenace/index_linux.php
 Vcs-Git: git://anonscm.debian.org/pkg-games/astromenace.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/astromenace.git
@@ -24,8 +25,9 @@
 Architecture: any
 Depends: ${misc:Depends}
         ,${shlibs:Depends}
-        ,astromenace-data-src
+        ,astromenace-data-src (>= 1.3.2~)
         ,fonts-liberation
+        ,fonts-linuxlibertine
         ,fonts-freefont-ttf
         ,ttf-dejavu-core
         ,xz-utils
