=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,15 @@
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
 
-DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
-VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
+DEBIAN_PATH := $(abspath $(dir $(MAKEFILE_LIST)))
+USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
+CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
+CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
 .PHONY: get-orig-source
 get-orig-source:
-	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
-	tar xjf "astromenace_$(VER).orig.tar.bz2"
+	wget -c "$(CUR_URL)" -O "astromenace_$(CUR_VER).orig.tar.bz2"
+	tar xjf "astromenace_$(CUR_VER).orig.tar.bz2"
 	rm -r "AstroMenace/MacOSX.zip" "AstroMenace/RAW_VFS_DATA"
-	tar -cJf "astromenace_$(VER)+repack.orig.tar.xz" "AstroMenace"
-	rm -r "AstroMenace" "astromenace_$(VER).orig.tar.bz2"
+	mv "AstroMenace" "astromenace-$(CUR_VER)+repack"
+	tar -cJf "astromenace_$(CUR_VER)+repack.orig.tar.xz" "astromenace-$(CUR_VER)+repack"
+	rm -r "astromenace-$(CUR_VER)+repack" "astromenace_$(CUR_VER).orig.tar.bz2"
