=== debian/changelog ===
astromenace (1.3.2+repack-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113665)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 20:55:04 +0300

astromenace (1.3.2+repack-7) unstable; urgency=high

  * Team upload.
  * debian/control: Update font dependency and replace ttf-dejavu
    with fonts-dejavu-core. (Closes: #962195)

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 12:18:14 -0400

astromenace (1.3.2+repack-6) unstable; urgency=medium

  * Standards-Version will not be bumped to 4.1.4 or newer, because
    get-orig-source section is used in debian/rules.
  * Bump debhelper version to 12~ (was 11); update debian/compat.
  * Update Homepage field in debian/control.
  * Update debian/copyright:
    - add Disclaimer field to describe why package is in "contrib"
    - http --> https
    - update years
  * Simplify debian/rules:
    - delete --parallel and --list-missing options from dh
    - stop adding of CPPFLAGS into CXXFLAGS using of DEB_CXXFLAGS_MAINT_APPEND
      as workaround for cmake because debhelper already does this since version
      9.20120417
  * Update URL in debian/watch.
  * Delete debian/source/options.
  * Add debian/upstream/metadata.

 -- Boris Pek <tehnick@debian.org>  Fri, 02 Aug 2019 01:33:09 +0300

astromenace (1.3.2+repack-5) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 (was 4.0.0).
  * Bump debhelper version to 11 (was 10); update debian/compat.
  * Update debian/control:
    - update Vcs-* fields: moved from Alioth to Salsa
    - update using wrap-and-sort tool
  * Update debian/rules: add --list-missing option to dh.
  * Update years and Format URL in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Wed, 07 Feb 2018 22:59:20 +0300

astromenace (1.3.2+repack-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (was 3.9.5).
  * Bump debhelper version to 10 (was 9); update debian/compat.
  * Delete debian/astromenace.menu:
    the menu system is deprecated in favor of the FreeDesktop menu standard.
  * Dmitry Smirnov removed himself from Uploaders.
  * Update Vcs-* fields in debian/control.
  * Update debian/rules:
    - set DEB_CXXFLAGS_MAINT_APPEND, DEB_LDFLAGS_MAINT_APPEND and
      DEB_BUILD_MAINT_OPTIONS variables
    - simplify build rules
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 04 Aug 2017 17:54:46 +0300

astromenace (1.3.2+repack-3) unstable; urgency=medium

  * Add patch debian/patches/disable_GL_ARB_texture_compression_bptc.patch:
    After disabling GL_ARB_texture_storage in patch
    fix_work_on_intel_videocards.patch GL_ARB_texture_compression_bptc feature
    may work incorrectly with new NVIDIA and AMD video cards. There are no bug
    reports yet. This patch was made just in case by developer recommendation.

 -- Boris Pek <tehnick@debian.org>  Thu, 19 Dec 2013 17:42:30 +0400

astromenace (1.3.2+repack-2) unstable; urgency=medium

  * Add patch debian/patches/fix_work_on_intel_videocards.patch:
    Mesa developers have enabled GL_ARB_texture_storage for all drivers [1], so
    i915 and i965 drivers now claim the support of this OpenGL extension, but
    texture storage feature does not actually work there.
    .
    [1] http://lists.freedesktop.org/archives/mesa-dev/2013-June/041188.html
    .
    This patch is just workaround to make the game work on intel videocards with
    new Mesa. But real problem should be fixed in Mesa.
    (Closes: #718680)

 -- Boris Pek <tehnick@debian.org>  Thu, 19 Dec 2013 15:37:09 +0400

astromenace (1.3.2+repack-1) unstable; urgency=medium

  * Update to stable release 1.3.2.
  * Bump Standards-Version to 3.9.5 (was 3.9.4): no changes required.
  * Add build dependency on libfontconfig1-dev.
  * Update get-orig-source in debian/rules:
    - always download latest version of program
    - rename root directory for specifying program version
  * Update patches:
    - debian/patches/compress_gamedata.patch
    - debian/patches/debian_customisations.patch
  * Add patch debian/patches/enable_fontconfig_support.patch.
  * Delete patch debian/patches/fix-font-in-use.patch:
    fontconfig is supported now, so this workaround is not needed anymore.
  * Delete patches:
    - debian/patches/01_keyboard_control-fix.patch
    - debian/patches/02_blinking_triangles.patch
    - debian/patches/03_overflow_vfs.patch
    - debian/patches/04_textures_quality.patch
    - debian/patches/05_blend_disable_fix.patch
    - debian/patches/06_compression_options_fix.patch
    - debian/patches/07_percent_sign_profile_input_fix.patch
    - debian/patches/08_do_not_touch_home_dir.patch
    They are in upstream now.
  * Simplify debian/astromenace.postinst:
    fontconfig is supported now, so symlinks to fonts are not needed anymore.
  * Package astromenace depends on astromenace-data-src (>= 1.3.2~) and
    fonts-linuxlibertine now.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Thu, 19 Dec 2013 09:48:06 +0400
