=== debian/control ===
Source: astromenace
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Boris Pek <tehnick@debian.org>
Standards-Version: 4.1.3
Build-Depends: cmake,
               debhelper (>= 12~),
               imagemagick,
               libalut-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libogg-dev,
               libopenal-dev,
               libsdl1.2-dev,
               libvorbis-dev,
               libxinerama-dev
Homepage: https://viewizard.com/
Vcs-Git: https://salsa.debian.org/games-team/astromenace.git
Vcs-Browser: https://salsa.debian.org/games-team/astromenace

Package: astromenace
Architecture: any
Depends: astromenace-data-src (>= 1.3.2~),
         fonts-freefont-ttf,
         fonts-liberation,
         fonts-linuxlibertine,
         fonts-dejavu-core,
         xz-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: hardcore 3D space shooter with spaceship upgrade possibilities
 AstroMenace is an astonishing hardcore scroll-shooter where brave space
 warriors may find a great opportunity to hone their combat skills.
 Gather money during the battle to spend them on turning your spaceship
 into an ultimate weapon of mass destruction and give hell to swarms of
 adversaries. Enjoy the wonderfully crafted 3d graphics and high-quality
 special effects along with a detailed difficulty adjustment and a handy
 interface of AstroMenace.
