=== debian/rules ===
#!/usr/bin/make -f

DEBIAN_PATH  := $(abspath $(dir $(firstword $(MAKEFILE_LIST))))
USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean debian/*.xpm CMakeCache.txt cmake_install.cmake Makefile
	$(RM) -r CMakeFiles

override_dh_auto_configure:
	dh_auto_configure --builddirectory=$(CURDIR)

override_dh_auto_build:
	dh_auto_build
	## build menu icon
	convert astromenace_64.png -resize 32x32 debian/astromenace.xpm

override_dh_install:
	dh_install --exclude=astromenace_64.png

get-orig-source:
	wget -c "$(CUR_URL)" -O "astromenace_$(CUR_VER).orig.tar.bz2"
	tar xjf "astromenace_$(CUR_VER).orig.tar.bz2"
	rm -r "AstroMenace/MacOSX.zip" "AstroMenace/RAW_VFS_DATA"
	mv "AstroMenace" "astromenace-$(CUR_VER)+repack"
	tar -cJf "astromenace_$(CUR_VER)+repack.orig.tar.xz" "astromenace-$(CUR_VER)+repack"
	rm -r "astromenace-$(CUR_VER)+repack" "astromenace_$(CUR_VER).orig.tar.bz2"
