=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack// \
 https://github.com/viewizard/astromenace/tags \
 .*/viewizard/astromenace/archive/v(\d.+)\.tar\.gz \
 debian uupdate
